// file: $isip/class/mmedia/TranscriptionDatabase/trans_01.cc
// version: $Id: trans_01.cc 8940 2002-12-24 17:20:21Z parihar $
//

// isip include files
//
#include "TranscriptionDatabase.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean TranscriptionDatabase::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  
  Console::increaseIndention();
  
  // display the database name
  //
  name_d.debug(L"name_d");

  // display the database
  //
  hash_index_d.debug(L"hash_d");  
  
  // display the database
  //
  hash_d.debug(L"hash_d");  
  
  // that's it for sub-items, decrease indentation
  //  
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}
